import * as echarts from "echarts/core";
import { RadarChart } from "echarts/charts";
import { TitleComponent } from "echarts/components";
import {
  TooltipComponent,
  GridComponent,
  LegendComponent,
  DatasetComponent,
  TransformComponent,
} from "echarts/components";
import { LabelLayout, UniversalTransition } from "echarts/features";
import { SVGRenderer } from "echarts/renderers";

echarts.use([
  TitleComponent,
  TooltipComponent,
  GridComponent,
  LegendComponent,
  DatasetComponent,
  TransformComponent,
  LabelLayout,
  UniversalTransition,
  RadarChart,
  SVGRenderer,
]);

export default echarts;
